JUCE: TextEditor::LengthAndCharacterRestriction Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextEditor::LengthAndCharacterRestriction Class Reference
juce_gui_basics » widgets

An input filter for a TextEditor that limits the length of text and/or the characters that it may contain. More...

`#include <juce_TextEditor.h>`

Inheritance diagram for TextEditor::LengthAndCharacterRestriction:

## Public Member Functions
| LengthAndCharacterRestriction (int maxNumChars, const String &allowedCharacters)
| Creates a filter that limits the length of text, and/or the characters that it can contain.
String | filterNewText (TextEditor &, const String &) override
| This method is called whenever text is entered into the editor.
Public Member Functions inherited from TextEditor::InputFilter
| InputFilter ()=default
virtual | ~InputFilter ()=default

## Detailed Description

An input filter for a TextEditor that limits the length of text and/or the characters that it may contain.

## Constructor & Destructor Documentation

## ◆ LengthAndCharacterRestriction()

TextEditor::LengthAndCharacterRestriction::LengthAndCharacterRestriction | ( | int | maxNumChars,
|  | const String & | allowedCharacters
| ) |  |

Creates a filter that limits the length of text, and/or the characters that it can contain.

Parameters

  maxNumChars | if this is > 0, it sets a maximum length limit; if <= 0, no limit is set
  allowedCharacters | if this is non-empty, then only characters that occur in this string are allowed to be entered into the editor.

## Member Function Documentation

## ◆ filterNewText()

String TextEditor::LengthAndCharacterRestriction::filterNewText | ( | TextEditor & | ,
|  | const String & | newInput
| ) |  |
| overridevirtual

This method is called whenever text is entered into the editor.

An implementation of this class should should check the input string, and return an edited version of it that should be used.

Implements TextEditor::InputFilter.

The documentation for this class was generated from the following file:

- juce_TextEditor.h